//=============================================================================
// RexAmpChecker: Shows countdown based on your damage amp charge
//=============================================================================
class RexAmpChecker expands TournamentPickup;

var int AmpCharge;
var bool bHasAmp; // Used by mutator to toggle the drawing on and off

replication
{
	reliable if ( bNetOwner && (Role == ROLE_Authority) )
		bHasAmp, AmpCharge;
}

function bool HandlePickupQuery( inventory Item )
{
	if ( Item.IsA('UDamage') )
	{// Picked up a damage amp so start the countdown
		AmpCharge = 0.1 * Item.Charge - UDamage(Item).FinalCount;
		AmpCharge = AmpCharge + 5; // Add in time for the ChargingDown
		bHasAmp = True;
		SetTimer(1,True);
	}
	return Super.HandlePickupQuery(Item);

}
function Timer()
{
	if ( AmpCharge >= 1 )
	{
		AmpCharge = AmpCharge - 1;
	}
	else
	{
		bHasAmp = False;
		SetTimer(0,False);
	}
}

simulated function PostRender(canvas Canvas)
{ // Display the countdown when called by the REXUT mutator
	local float Scale;
	local int X,Y;

	Scale = ChallengeHUD(Canvas.Viewport.Actor.myHUD).Scale;
	X = Canvas.ClipX - 63 * Scale;
	Y = Canvas.ClipY - 322 * Scale;
	//Canvas.DrawColor.R = 0;
	//Canvas.DrawColor.G = 255;
	//Canvas.DrawColor.B = 0;
	Canvas.Style = ERenderStyle.STY_Translucent;
	//Canvas.SetPos(X,Y - 150 * Scale);
	Canvas.SetPos(X-1220 * Scale,Y + 35 * Scale);
	//Canvas.SetPos(X-980,Y+60);
	Canvas.DrawIcon(texture'I_TeamG', Scale);
	//Canvas.SetPos(X-930,Y+75);
	Canvas.SetPos(X-1150 * Scale,Y + 55 * Scale);
	if ( AmpCharge < 1000 )
	{// charge is 3 digits or less, so print it
			Canvas.DrawText(AmpCharge);
	}
	else
	{// charge is 4 digits or more, so cut it off
		Canvas.DrawText("999...");
	}
}

defaultproperties
{
     bAutoActivate=True
     bActivatable=True
     bDisplayableInv=True
     PickupMessage="Snagged an Amp Countdown!"
     ItemName="Amp Countdown"
     StatusIcon=Texture'UnrealShare.Icons.I_ShellAmmo'
     DrawType=DT_Sprite
     Texture=Texture'Engine.S_Patrol'
}
